Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.26
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cms
Class OtherRecipientInfo

    java.lang.Object
      |
      +--org.bouncycastle.asn1.ASN1Encodable
            |
            +--org.bouncycastle.asn1.cms.OtherRecipientInfo

All Implemented Interfaces:
  DEREncodable

public class OtherRecipientInfo
extends ASN1Encodable

Constructor Summary
`OtherRecipientInfo(ASN1Sequence seq)`
`OtherRecipientInfo(DERObjectIdentifier oriType, DEREncodable oriValue)`

Method Summary
`static OtherRecipientInfo` | `getInstance(ASN1TaggedObject obj, boolean explicit)` return a OtherRecipientInfo object from a tagged object.
`static OtherRecipientInfo` | `getInstance(java.lang.Object obj)` return a OtherRecipientInfo object from the given object.
`DERObjectIdentifier` | `getType()`
`DEREncodable` | `getValue()`
`DERObject` | `toASN1Object()` Produce an object suitable for an ASN1OutputStream.

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDERObject, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OtherRecipientInfo

    public OtherRecipientInfo(DERObjectIdentifier oriType,
                              DEREncodable oriValue)

### OtherRecipientInfo

    public OtherRecipientInfo(ASN1Sequence seq)

Method Detail

### getInstance

    public static OtherRecipientInfo getInstance(ASN1TaggedObject obj,
                                                 boolean explicit)

  return a OtherRecipientInfo object from a tagged object.
  Parameters:
    `obj` - the tagged object holding the object we want.
    `explicit` - true if the object is meant to be explicitly tagged false otherwise.
  Throws:
    `java.lang.IllegalArgumentException` - if the object held by the tagged object cannot be converted.

### getInstance

    public static OtherRecipientInfo getInstance(java.lang.Object obj)

  return a OtherRecipientInfo object from the given object.
  Parameters:
    `obj` - the object we want converted.
  Throws:
    `java.lang.IllegalArgumentException` - if the object cannot be converted.

### getType

    public DERObjectIdentifier getType()

### getValue

    public DEREncodable getValue()

### toASN1Object

    public DERObject toASN1Object()

  Produce an object suitable for an ASN1OutputStream.

       OtherRecipientInfo ::= SEQUENCE {
          oriType OBJECT IDENTIFIER,
          oriValue ANY DEFINED BY oriType }

  Overrides:
    `toASN1Object` in class `ASN1Encodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.26
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD